<template>
  <v-container>
    <v-breadcrumbs class="px-0" :items="items"></v-breadcrumbs>

    <v-row no-gutters class="d-flex align-center">
      <h1>Informações do Contato</h1>
      <v-spacer></v-spacer>
      <v-btn depressed small color="warning" to="/contacts/">VOLTAR</v-btn>
    </v-row>
    <v-divider></v-divider>
    <div id="customers">
      <div>
        <p>Name: {{ contact.name }}</p>
        <p>Phone: {{ contact.phone }}</p>
        <p>Email: {{ contact.email }}</p>
        <p>Mensagem: {{ contact.message }}</p>
        <v-btn depressed small color="error" @click="matar(contact.id)">Delete</v-btn>
        <v-divider></v-divider>
      </div>
    </div>
  </v-container>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      contact: [],
      items: [
        {
          text: "Dashboard",
          disabled: false,
          to: "/"
        },
        {
          text: "Contatos",
          disabled: true
        },
        {
          text: "Informação do Contato",
          disabled: true
        }
      ]
    };
  },
  mounted() {
    return axios
      .get(
        `https://young-forest-65938.herokuapp.com/api/v1/contacts/${this.$router.currentRoute.params.id}`
      )
      .then(response => {
        var resp = response.data.data;
        console.log("entrou aq");
        console.log(resp);
        this.contact = resp;
        console.log(this.contact);
      });
  }
};
</script>
